protozero::invalid_tag_exception Struct Reference

`#include <exception.hpp>`

Inheritance diagram for protozero::invalid_tag_exception:
[legend]
Collaboration diagram for protozero::invalid_tag_exception:
[legend]

## Public Member Functions

const char * | what () const noexcept override
| Returns the explanatory string.
Public Member Functions inherited from protozero::exception
const char * | what () const noexcept override
| Returns the explanatory string.

## Detailed Description

This exception is thrown when a tag has an invalid value. Tags must be unsigned integers between 1 and 2^29-1. Tags between 19000 and 19999 are not allowed. See https://developers.google.com/protocol-buffers/docs/proto#assigning-tags

The documentation for this struct was generated from the following file:

- include/protozero/exception.hpp